CFG80211_INFORM_BSS_(9)

NAME
cfg80211_inform_bss_width - inform cfg80211 of a new BSS

SYNOPSIS

struct cfg80211_bss * cfg80211_inform_bss_width(struct wiphy * wiphy, struct ieee80211_channel * rx_channel, enum nl80211_bss_scan_width scan_width, enum cfg80211_bss_frame_type ftype, const u8 * bssid, u64 tsf, u16 capability, u16 beacon_interval, const u8 * ie, size_t ielen, s32 signal, gfp_t gfp);

ARGUMENTS

wiphy
    the wiphy reporting the BSS

rx_channel
    The channel the frame was received on

scan_width
    width of the control channel

ftype
    frame type (if known)

bssid
    the BSSID of the BSS

tsf
    the TSF sent by the peer in the beacon/probe response (or 0)

capability
    the capability field sent by the peer

beacon_interval
    the beacon interval announced by the peer

ie
    additional IEs sent by the peer

ielen
    length of the additional IEs

signal
    the signal strength, type depends on the wiphy's signal_type

gfp
    context flags

DESCRIPTION

This informs cfg80211 that BSS information was found and the BSS should be updated/added.

RETURN

A referenced struct, must be released with cfg80211_put_bss! Or NULL on error.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT